#include<bits/stdc++.h>
using namespace std;
long long chislo[2000001];
int main(){
long long n,br=0;
long long naiG=0;
int ok=1;
cin>>n;
for(int i=0;i<n;i++){
    cin>>chislo[i];
}
for(int j=0;j<n-1;j++){
    naiG=0;
    for(int k=j+1;k<n;k++){
            if(max(chislo[j],chislo[k])>naiG){
            naiG=max(chislo[j],chislo[k]);
        }
        ok=1;
        if(chislo[j]<naiG&&chislo[k]<naiG){
            ok=0;
        }
        if(ok==1){
            br++;
        }
    }
}
cout<<br;

return 0;
}

